Author Topic: Either "offers", "review", or "aggregateRating" should be specified  (Read 756 times)

kiasati

  • Jr. Member
  • **
  • Posts: 109
    • JoomlaJoy
Hi,

I'm using "Google Structured Data" created by Tassos Marinos.
I also use VirtueMart 3.4.2 and Joomla 3.9.5

In Google Search Console, I have the error below for product pages:
Either "offers", "review", or "aggregateRating" should be specified

when I checked the product page source, I saw that the schema code for Rating is not there.

has anyone else had this problem?
any idea to find the problem and fix this?
I can't ask the developer about this problem.
any help would be appreciated, thanks.

Jörgen

  • Global Moderator
  • Full Member
  • *
  • Posts: 2422
    • Kreativ Fotografi
  • VirtueMart Version: 3.4.x
This would be the right place to start I guess:
Quote
I'm using "Google Structured Data" created by Tassos Marinos.

Jörgen @ Kreativ Fotografi
Joomla 3.9.8
Virtuemart 3.4.x
Olympiantheme Hera (customized)

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27570
  • Always on vacation
    • Jenkin Hill Internet
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.6.8.10197 on Joomla 3.9.13 PHP 7.0.33

kiasati

  • Jr. Member
  • **
  • Posts: 109
    • JoomlaJoy
This would be the right place to start I guess:
Quote
I'm using "Google Structured Data" created by Tassos Marinos.

Jörgen @ Kreativ Fotografi

I can't ask the developer about this problem.

Jörgen

  • Global Moderator
  • Full Member
  • *
  • Posts: 2422
    • Kreativ Fotografi
  • VirtueMart Version: 3.4.x
And why do You think that we can answer questions about a software we know nothing about ?

Jörgen @ Kreativ Fotografi
Joomla 3.9.8
Virtuemart 3.4.x
Olympiantheme Hera (customized)

StefanSTS

  • Global Moderator
  • Full Member
  • *
  • Posts: 516
  • VirtueMart Version: VM 4.2 on Joomla 4.5
If you want to try it with core VM.
Here is a snippets.php sublayout that needs testing.

Stefan
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.

kiasati

  • Jr. Member
  • **
  • Posts: 109
    • JoomlaJoy
And why do You think that we can answer questions about a software we know nothing about ?

Jörgen @ Kreativ Fotografi

Good question. You're right.
But if you don't know the answer, let people who have had the same problem answer.
In a forum, you should submit answers for the question you know how to solve or at least have an idea to solve it.

StefanSTS

  • Global Moderator
  • Full Member
  • *
  • Posts: 516
  • VirtueMart Version: VM 4.2 on Joomla 4.5
But if you don't know the answer, let people who have had the same problem answer.
In a forum, you should submit answers for the question you know how to solve or at least have an idea to solve it.

After receiving advise, you tell people here, you cannot ask the developer of that extension, what do you think their reaction is?

There are not many reasons you cannot ask the developer of an extension. The only one I could imagine would be, you didn't buy the extension there, so you don't have support. The mentioned extension has only VirtueMart support in the paid version, that would mean there is no reason not to ask the developer.

Please come down from your high horse and don't put down people here who help supporting this forum.

Stefan
--
Stefan Schumacher
www.jooglies.com - VirtueMart Invoice Layouts

Please use only stable versions with even numbers for your live shop! Use Alpha versions only if you know what risk you are taking.

kiasati

  • Jr. Member
  • **
  • Posts: 109
    • JoomlaJoy
Please come down from your high horse and don't put down people here who help supporting this forum.

Stefan

You are right.
I didn't mean to put down anyone.